View Issue Details

IDProjectCategoryView StatusLast Update
0000015ScribusGeneralpublic2006-01-27 01:04
Reportercbradney Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWindowsOS VersionXP
Product Version 
Target VersionFixed in Version1.3.2cvs 
Summary0000015: Windows Port
DescriptionSome people want a Windows port
TagsNo tags attached.
Patch

Relationships

related to 0000576 closedringerc Cygwin Patches 
parent of 0002194 closedringerc Use unistd header only if available 
parent of 0002171 closedringerc Win32-based implementation for ScPainter 
parent of 0002173 closedringerc Coherence in use of configuration files (config.h / win-config.h) 
parent of 0002166 closedringerc Platform independent library loading 
parent of 0002151 closedcbradney 1.2.2cvs patch for Unit enum values conflict in windows.h 
parent of 0002150 closedcbradney Value Names in Unit enum conflicts with declarations in windows.h 
parent of 0002219 closedringerc On Win32, add the ability to locate special directories and sytem fonts folder 
parent of 0002236 closedringerc Convert gtgettext.cpp to new plugin loading api 
parent of 0002214 closedringerc Platform independent implementation of PicStatus 
parent of 0002213 closedjghali mscv compatibility for main.cpp 
parent of 0002273 closedcbradney Load correctly document located at drive root (win32) 
parent of 0002272 closedfschmid Modified Path2Relative function for win32 compatibility 
parent of 0002394 closedcbradney Fix msvc compatibility problem in scribusdoc.cpp 
parent of 0002442 closedfschmid Patches for ps and pdf export (win32 compatibility) 
parent of 0002988 closedjghali Font Substitutions do not work automatically with doc created on linux, then opened on Win32 
parent of 0002832 closedsubik Color Artifacts in Color Wheel under win32 
parent of 0002990 closedjghali new paths for fonts are not recognized 
parent of 0002463 closedjghali Issues with win32 build 
parent of 0002649 closedjghali Unable to restore from minimized with modal dialogs active 
parent of 0002509 closedjghali Trying to load Arial Unicode MS with font preview cause crash (Win32) 
parent of 0003003 closedjghali Font Substitution Mismatches going from Win32 > Linux 
parent of 0003071 closedjghali StoryEditor's window caption is out of reach by default 
parent of 0003156 closedjghali Scribus window does not save maximized status on exit 
has duplicate 0001646 closedcbradney Can we have a Windows version of Scribus ? 
related to 0002206 closedcbradney Little patches for improved msvc compatibility 
related to 0002097 closedringerc Re-write plugin API 
related to 0002398 closedjghali Get plugins to compile on Windows (win32) 
related to 0002410 closedringerc Export symbols from main app (for win32 compat) 
related to 0002418 closedringerc Export symbols from plugins to enable loading (win32) 
related to 0002446 closedfschmid Patch for gettext plugins and printpreview (win32 compatibility) 
child of 0002159 closedcbradney Naming conflict in scribusstructs.h 

Activities

pjohnson

2003-12-05 23:36

reporter   ~0000049

Licence restrictions to the educational version of Qt (3.2.2) may mean that I can do the compilation, but it will rely on users having the correct dll rather than letting me package it up for general users.

Early indications are promising.. screenshots soon...

prokoudine

2004-02-02 09:15

reporter   ~0000422

I'll be happy to provide compilation testing

mhanski

2004-09-15 18:11

developer   ~0002384

Last edited: 2005-05-11 08:16

Some mails on this topic:

nashi.altmuehlnet.de/pipermail/scribus/2003-November/002946.html

nashi.altmuehlnet.de/pipermail/scribus/2003-December/003622.html

nashi.altmuehlnet.de/pipermail/scribus/2004-July/005699.html

nashi.altmuehlnet.de/pipermail/scribus/2004-September/006395.html

packetbell

2004-09-15 19:40

reporter   ~0002386

>>> Salford seems to want a Windows version and to pay Paul to do the hard yards.

Ooh! A full-blown Gnome port with HIG 2 compliance, integration with Gimp and Inkscape? How about a Blender-style fund to release Scribus from its QT shackles! First hundred bucks is on me ;)

mhanski

2004-09-16 10:38

developer   ~0002388

Last edited: 2005-05-11 08:16

It looks, like the whole "windows port" issue was terminated by Paul's employers:

nashi.altmuehlnet.de/pipermail/scribus/2004-September/006412.html

deejay1

2004-09-16 16:32

developer   ~0002389

Another interesting post - http://nashi.altmuehlnet.de/pipermail/scribus/2004-September/006436.html

But AFAIR QT 3.2.1 wouldn't be the ideal solution...

mhanski

2004-09-16 16:40

developer   ~0002390

Last edited: 2005-05-11 08:17

>Another interesting post -

nashi.altmuehlnet.de/pipermail/scribus/2004->September/006436.html

>But AFAIR QT 3.2.1 wouldn't be the ideal solution...

And the article mentioned by Kevin www.smallbizmac.com/qt/installing-qt-on-windows.html is worth reading, too: "It is worth the effort to install the Qt Windows non-commercial version, as it opens up the Windows platform to open-source Qt programs. (In fact, the non-commercial license requires you to make your applications available under a standard open-source license if you redistribute them.)"

mhanski

2004-09-28 16:31

developer   ~0002562

Last edited: 2005-05-11 08:17

New mails:

nashi.altmuehlnet.de/pipermail/scribus/2004-September/006584.html
nashi.altmuehlnet.de/pipermail/scribus/2004-September/006585.html

hskottowe

2005-02-07 14:30

reporter   ~0003643

Does this new announcement about QT4 for Windows being dual-licensed help with producing a Windows port that will work without requiring users to download other software (like a QT .dll)?

http://www.trolltech.com/newsroom/announcements/00000192.html
http://www.trolltech.com/developer/faqs/duallicense.html

ringerc

2005-02-16 11:02

reporter   ~0003728

Regarding Qt4, anybody reading this bug should probably read:

http://nashi.altmuehlnet.de/pipermail/scribus/2005-February/008792.html
http://nashi.altmuehlnet.de/pipermail/scribus/2005-February/008793.html
http://nashi.altmuehlnet.de/pipermail/scribus/2005-February/008805.html

mhanski

2005-04-27 17:52

developer   ~0004442

Is pjohnson still working on it?

scribusdev.blogspot.com doesn't really provide useful info about the port status, nor anything to see like screen shots, test builds, etc.

ringerc

2005-07-06 04:40

reporter   ~0005401

Reminder sent to: jghali

Jean, I thought this bug might be of interest to you, so I'm adding you to the notify list for it.

mhanski

2005-07-21 15:41

developer   ~0005656

considering the latest acceleration on the windows port front, this feature request is a clear candidate for reassignment to jghali, don't you think?

ringerc

2005-08-10 09:27

reporter   ~0006018

Reassigned as per ML discussion. Thanks for the work so far to both Jean and Paul.

Issue History

Date Modified Username Field Change
2003-11-19 17:51 cbradney New Issue
2003-12-04 23:50 cbradney Assigned To => pjohnson
2003-12-04 23:50 cbradney Status new => assigned
2003-12-05 23:36 pjohnson Note Added: 0000049
2003-12-05 23:36 pjohnson OS => Windows
2003-12-05 23:36 pjohnson OS Version => XP
2003-12-05 23:36 pjohnson Platform => Intel
2004-02-02 09:15 prokoudine Note Added: 0000422
2004-09-15 18:11 mhanski Note Added: 0002384
2004-09-15 19:40 packetbell Note Added: 0002386
2004-09-16 10:38 mhanski Note Added: 0002388
2004-09-16 16:32 deejay1 Note Added: 0002389
2004-09-16 16:40 mhanski Note Added: 0002390
2004-09-28 16:31 mhanski Note Added: 0002562
2005-02-07 14:30 hskottowe Note Added: 0003643
2005-02-07 19:20 mhanski Relationship added has duplicate 0001646
2005-02-16 11:02 ringerc Note Added: 0003728
2005-04-27 17:52 mhanski Note Added: 0004442
2005-05-11 08:16 mhanski Note Edited: 0002384
2005-05-11 08:16 mhanski Note Edited: 0002388
2005-05-11 08:16 mhanski Note Edited: 0002390
2005-05-11 08:17 mhanski Note Edited: 0002390
2005-05-11 08:17 mhanski Note Edited: 0002562
2005-07-06 04:40 ringerc Note Added: 0005401
2005-07-06 04:42 ringerc Relationship added parent of 0002194
2005-07-06 04:42 ringerc Relationship added parent of 0002171
2005-07-06 04:42 ringerc Relationship added parent of 0002173
2005-07-06 04:42 ringerc Relationship added parent of 0002166
2005-07-06 04:42 ringerc Relationship added child of 0002159
2005-07-06 04:43 ringerc Relationship added parent of 0002151
2005-07-06 04:43 ringerc Relationship added parent of 0002150
2005-07-15 07:37 ringerc Relationship added related to 0002219
2005-07-15 07:37 ringerc Relationship added related to 0002236
2005-07-15 07:38 ringerc Relationship added related to 0002214
2005-07-15 07:39 ringerc Additional Information Updated
2005-07-15 07:39 ringerc Relationship added related to 0000576
2005-07-15 07:40 ringerc Relationship added related to 0002213
2005-07-15 07:41 ringerc Relationship replaced parent of 0002219
2005-07-15 07:41 ringerc Relationship replaced parent of 0002213
2005-07-15 07:41 ringerc Relationship replaced parent of 0002214
2005-07-15 07:41 ringerc Relationship replaced parent of 0002236
2005-07-16 19:04 ringerc Relationship added related to 0002251
2005-07-16 19:04 ringerc Relationship added related to 0002206
2005-07-16 19:05 ringerc Relationship deleted related to 0002251
2005-07-21 08:19 mhanski Relationship added parent of 0002273
2005-07-21 08:20 mhanski Relationship added parent of 0002272
2005-07-21 15:41 mhanski Note Added: 0005656
2005-08-05 17:36 ringerc Relationship added parent of 0002394
2005-08-05 17:37 ringerc Relationship added related to 0002097
2005-08-08 07:52 ringerc Relationship added related to 0002396
2005-08-10 09:17 ringerc Relationship added related to 0002398
2005-08-10 09:17 ringerc Relationship added related to 0002410
2005-08-10 09:23 plinnell Assigned To pjohnson => jghali
2005-08-10 09:27 ringerc Note Added: 0006018
2005-08-11 14:40 jghali Relationship added related to 0002418
2005-08-16 22:36 jghali Relationship added parent of 0002442
2005-08-18 22:25 jghali Relationship added related to 0002446
2006-01-10 22:20 mhanski Relationship added parent of 0002988
2006-01-10 22:20 mhanski Relationship added parent of 0002989
2006-01-10 22:24 mhanski Relationship added parent of 0002832
2006-01-11 07:44 mhanski Relationship added parent of 0002990
2006-01-11 07:46 mhanski Relationship added parent of 0002463
2006-01-11 07:47 mhanski Relationship added parent of 0002649
2006-01-11 07:50 mhanski Relationship added parent of 0002509
2006-01-12 09:29 mhanski Relationship added related to 0003003
2006-01-12 09:30 mhanski Relationship replaced parent of 0003003
2006-01-22 17:41 mhanski Relationship added parent of 0003061
2006-01-23 01:23 cbradney Relationship added child of 0002788
2006-01-23 01:27 cbradney Relationship deleted child of 0002788
2006-01-23 12:56 mhanski Relationship added child of 0003071
2006-01-23 12:56 mhanski Relationship replaced parent of 0003071
2006-01-23 12:57 mhanski Relationship added parent of 0003070
2006-01-24 11:27 mhanski Relationship added parent of 0003072
2006-01-24 21:08 mhanski Relationship added related to 0003089
2006-01-24 23:22 plinnell Relationship deleted related to 0003089
2006-01-27 00:59 plinnell Relationship deleted parent of 0002989
2006-01-27 01:00 plinnell Relationship deleted parent of 0003061
2006-01-27 01:01 plinnell Relationship deleted parent of 0003070
2006-01-27 01:01 plinnell Relationship deleted parent of 0003072
2006-01-27 01:02 plinnell Relationship deleted related to 0002396
2006-01-27 01:03 plinnell Status assigned => resolved
2006-01-27 01:03 plinnell Fixed in Version => 1.3.2
2006-01-27 01:03 plinnell Resolution open => fixed
2006-01-27 01:04 plinnell Status resolved => closed
2006-01-27 01:04 plinnell Fixed in Version 1.3.2 => 1.3.2cvs
2006-01-31 16:15 mhanski Relationship added parent of 0003156